# QWidgetAction Class Reference

### [com.trolltech.qt.gui package]

Inherits QAction.

### Constructor

- void QWidgetAction(QObject parent)

### Constructor Properties

- prototype: The QWidgetAction prototype object

### Prototype Object Properties

The QWidgetAction prototype object inherits properties from the QAction prototype object and also has the following properties.

- QWidget defaultWidget()
- void releaseWidget(QWidget widget)
- QWidget requestWidget(QWidget parent)
- void setDefaultWidget(QWidget w)

### Instance Properties

QWidgetAction objects have no special properties beyond those inherited from the QWidgetAction prototype object.